@charset "utf-8";
@import "style_font.css";
@import "bootstrap-icons.css";
@import "fontawesome.css";
@import "brands.css";
@import "regular.css";
@import "solid.css";
@import url('https://fonts.googleapis.com/css2?family=Prompt:wght@200;300;400&display=swap');

/********** Template CSS **********/
:root {
  --primary: #0294D7;
  --secondary: #999999;
  --light: #ECECFB;
  /* --light: #F2F8FE; */
  --dark: #111111;
  --bs-primary: #0294D7;
  --bs-primary-rgb: 2, 148, 215;
  --bs-light: #ECECFB;
  --bs-light-rgb: 236, 236, 251;
  --bs-warning: #F47920;
  --bs-warning-rgb: 244, 121, 32;
  --bs-link-color: #0581E9;
  --bs-link-hover-color: #0170B8;
}

body {
  font-family: "CSChatThaiUI", "Open Sans", sans-serif;
  color: #111;
}

.back-to-top {
  position: fixed;
  display: none;
  right: 30px;
  bottom: 60px;
  z-index: 99;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Prompt";
}

h4,
h5,
h6,
.h4,
.h5,
.h6 {
  font-weight: 500 !important;
}

/*** Spinner ***/
#spinner {
  opacity: 0;
  visibility: hidden;
  transition: opacity .5s ease-out, visibility 0s linear .5s;
  z-index: 99999;
}

#spinner.show {
  transition: opacity .5s ease-out, visibility 0s linear 0s;
  visibility: visible;
  opacity: 1;
}

/*** Button ***/
.btn {
  font-weight: 500;
  transition: .5s;
}

.btn.btn-primary {
  color: #FFFFFF;
}

.btn-square {
  width: 38px;
  height: 38px;
}

.btn-sm-square {
  width: 32px;
  height: 32px;
}

.btn-lg-square {
  width: 48px;
  height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: normal;
}

/*** Navbar ***/
.navbar {
  font-family: "Prompt";
  font-size: 18px;
}

.navbar.sticky-top {
  top: -100px;
  transition: .5s;
}

.navbar .navbar-brand {
  height: 75px;
}

.navbar .navbar-nav .nav-link {
  margin-right: 30px;
  padding: 25px 12px;
  color: var(--dark);
  font-weight: 500;
  outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
  color: var(--primary);
}

.navbar .dropdown-toggle::after {
  border: none;
  content: "\f107";
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  vertical-align: middle;
  margin-left: 8px;
}

@media (max-width: 991.98px) {
  .navbar .navbar-nav .nav-link  {
    margin-right: 0;
    padding: 10px 0;
  }

  .navbar .navbar-nav {
    border-top: 1px solid #EEEEEE;
  }
}

@media (min-width: 992px) {
  .navbar .nav-item .dropdown-menu {
    display: block;
    border: none;
    margin-top: 0;
    top: 150%;
    opacity: 0;
    visibility: hidden;
    transition: .5s;
  }

  .navbar .nav-item:hover .dropdown-menu {
    top: 100%;
    visibility: visible;
    transition: .5s;
    opacity: 1;
  }
}

.navbar .btn:hover {
  color: #FFFFFF !important;
  background: var(--primary) !important;
}

/*** Header ***/
.hero-header .breadcrumb-item+.breadcrumb-item::before {
  color: var(--secondary);
}

/*** Footer ***/
.footer {
  font-family: "Prompt";
}

.footer p {
  font-family: "CSChatThaiUI";
  font-weight: 200;
  font-size: 15px;
  color: #555;
}

.footer a {
  text-decoration: none;
}

.footer .btn.btn-link {
  display: block;
  margin-bottom: 5px;
  padding: 0;
  text-align: left;
  color: var(--secondary);
  font-weight: normal;
  text-transform: capitalize;
  transition: .3s;
}

.footer .btn.btn-link::before {
  position: relative;
  content: "\f105";
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  color: var(--secondary);
  margin-right: 10px;
}

.footer .btn.btn-link:hover {
  color: var(--primary);
  letter-spacing: 1px;
  box-shadow: none;
}

.footer .btn.btn-square {
  color: var(--primary);
  border: 1px solid var(--primary);
}

.footer .btn.btn-square:hover {
  color: #FFFFFF;
  background: var(--primary);
}

.footer .copyright {
  padding: 25px 0;
  border-top: 1px solid rgba(17, 17, 17, .1);
}

.footer .copyright a {
  color: var(--primary);
}

.footer .copyright a:hover {
  color: var(--dark);
}

/* CUSTOM BOOTSTRAP */
.btn-primary {
	--bs-btn-color: #fff;
	--bs-btn-bg: #0294D7;
	--bs-btn-border-color: #0294D7;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #0170B8;
	--bs-btn-hover-border-color: #0170B8;
	--bs-btn-focus-shadow-rgb: 49, 132, 253;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #0170B8;
	--bs-btn-active-border-color: #0a53be;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #0294D7;
	--bs-btn-disabled-border-color: #0294D7;
}

.form-group .required:after {
  content: "*";
  margin-left: .25rem;
  color: #d63939;
}

.was-validated .form-check-input:invalid, .form-check-input.is-invalid,
.was-validated .form-check-input:valid, .form-check-input.is-valid {
	/* border-color: #dc3545; */
  border: 1px solid rgba(0, 0, 0, 0.25);
}
.was-validated .form-check-input:valid:checked, .form-check-input.is-valid:checked {
	/* background-color: #198754; */
  background-color: #0d6efd;
}

/* TRIGGER RADIO BUTTON */
.trigger-radio {
  background-color:red;
}

/* JQUERY UI */
.ui-autocomplete {
  /* z-index MODAL 1040 */
	z-index: 2000;
  background: #fff;
}

.ui-widget.ui-widget-content {
	border: 1px solid #c5c5c5;
}
.ui-widget-content {
	border: 1px solid #dddddd;
	background: #ffffff;
	color: #333333;
}
.ui-widget-content a {
	color: #333333;
}
.ui-widget-content a:hover {
	color: #fff;
}

.ui-state-active,
.ui-widget-content .ui-state-active,
.ui-widget-header .ui-state-active,
a.ui-button:active,
.ui-button:active,
.ui-button.ui-state-active:hover {
	border: 1px solid #307fdd;
	background: #307fdd;
  color: #ffffff;
}
.ui-icon-background,
.ui-state-active .ui-icon-background {
	border: #307fdd;
}

.form-select.option-loading {
	background-image: url("/images/loading2.gif");
	background-repeat: no-repeat;
	background-position: 20px center;
}